Bug 1019101 - When using ML2 the L3RouterPlugin's code does not exist in neutron deployment
When using ML2 the L3RouterPlugin's code does not exist in neutron deployment
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: 4.0
Assigned To: Bob Kukura
Ofer Blaut
: TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2013-10-15 03:33 EDT by Rami Vaknin
Modified: 2016-04-26 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-19 15:44:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2013-10-15 03:33:04 EDT
rhos 4.0 on rhel 6.5

When working with ml2, it looks like the L3 router plugin should be defined as a service plugin in /etc/neutron/neutron.conf:
service_plugins = neutron.services.l3_router.l3_router_plugin.L3RouterPlugin

However, it looks like this plugin code was not copied from neutron git to my deployment, it means that the "l3_router" directory is missing in /usr/lib/python2.6/site-packages/neutron/services hence the L3 router plugin could not be configured as a service plugin.
Comment 1 Bob Kukura 2013-11-19 15:44:07 EST
Although the l3_router files may have been missing in early RHOS 4.0 development snapshots, I've verified that the necessary files are installed by:

python-neutron.noarch                    2013.2-9.el6ost               @RHOS-4.0

Given that python-neutron-2013.2-0.3.3.b3.el6ost.noarch was never officially released and was just a development snapshot that wasn't expected to be complete, I'm closing this bug.
Comment 2 Rami Vaknin 2013-11-20 03:22:20 EST
I verified that it does work on the last few puddles, the error messages disappear a I was able to create a router, networks and subnets.

One nitpick, I'd expect it to pass through MODIFIED->ON_QA->VERIFIED, all the bugs we find in the devel phases were never officially released, could you ON_QA it?

Note You need to log in before you can comment on or make changes to this bug.